Bug 188208 - Review Request: wings - A polygon mesh modeler
Review Request: wings - A polygon mesh modeler
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 188207
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-06 19:17 EDT by Gérard Milmeister
Modified: 2013-10-23 14:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-29 03:26:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2006-04-06 19:17:57 EDT
Spec Url: http://math.ifi.unizh.ch/fedora/spec/wings.spec
SRPM Url: http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/wings-0.98.32b-2.fc5.src.rpm
Description:
Wings 3D is a polygon mesh modeler inspired by Nendo and Mirai from Izware.
Comment 1 Jason Tibbitts 2006-04-25 19:25:59 EDT
Armed with my thimblefull of Erlang knowledge I move on to this package.

First issues:

1,$s/esdl/erlang-esdl/

It might be worth noting in the description that this package includes the POV
exporter.

Parallel make would be nice.  (Sorry, I do my testing on an 8-CPU Opteron
machine and hate to wait.)
Comment 2 Gérard Milmeister 2006-04-25 19:34:16 EDT
I have already been making a new package:
http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/wings-0.98.32b-4.fc5.src.rpm
parallel make breaks the build, unfortunately.
Comment 3 Jason Tibbitts 2006-04-25 22:35:52 EDT
I'm seeing a build failure in mock; I think you need to BR: the GL development
stuff:

gcc -o ../../plugins/accel/wings_ogla_drv.so -I/usr/lib/erlang/usr/include \
  wings_ogla_drv.c -shared -fpic -lGLU -lGL
wings_ogla_drv.c:26:61: error: GL/gl.h: No such file or directory
wings_ogla_drv.c:27:62: error: GL/glu.h: No such file or directory
wings_ogla_drv.c:68: error: expected '=', ',', ';', 'asm' or '__attribute__'
before '*' token
wings_ogla_drv.c:69: error: expected '=', ',', ';', 'asm' or '__attribute__'
before '*' token
wings_ogla_drv.c:70: error: expected '=', ',', ';', 'asm' or '__attribute__'
before '*' token
wings_ogla_drv.c:74: error: expected ')' before '*' token
wings_ogla_drv.c:82: error: expected ')' before 'flag'
wings_ogla_drv.c:87: error: expected ')' before 'errorCode'
wings_ogla_drv.c:95: error: expected ')' before 'coords'
wings_ogla_drv.c: In function 'wings_file_start':
wings_ogla_drv.c:139: error: 'tess' undeclared (first use in this function)
wings_ogla_drv.c:139: error: (Each undeclared identifier is reported only once
wings_ogla_drv.c:139: error: for each function it appears in.)
wings_ogla_drv.c:140: error: 'GLU_TESS_VERTEX' undeclared (first use in this
function)
wings_ogla_drv.c:140: error: 'wings_ogla_vertex' undeclared (first use in this
function)
wings_ogla_drv.c:141: error: 'GLU_TESS_EDGE_FLAG' undeclared (first use in this
function)
wings_ogla_drv.c:141: error: 'wings_ogla_edge_flag' undeclared (first use in
this function)
wings_ogla_drv.c:142: error: 'GLU_TESS_COMBINE' undeclared (first use in this
function)
wings_ogla_drv.c:142: error: 'wings_ogla_combine' undeclared (first use in this
function)
wings_ogla_drv.c:143: error: 'GLU_TESS_ERROR' undeclared (first use in this
function)
wings_ogla_drv.c:143: error: 'wings_ogla_error' undeclared (first use in this
function)
wings_ogla_drv.c: In function 'wings_file_stop':
wings_ogla_drv.c:153: error: 'tess' undeclared (first use in this function)
wings_ogla_drv.c: In function 'control':
wings_ogla_drv.c:163: error: 'GLfloat' undeclared (first use in this function)
wings_ogla_drv.c:163: error: 'f' undeclared (first use in this function)
wings_ogla_drv.c:163: error: expected expression before ')' token
wings_ogla_drv.c:171: error: expected expression before ')' token
wings_ogla_drv.c:182: error: expected expression before ')' token
wings_ogla_drv.c:191: error: expected expression before ')' token
wings_ogla_drv.c:198: error: expected expression before ')' token
wings_ogla_drv.c: In function 'triangulate':
wings_ogla_drv.c:213: error: 'GLdouble' undeclared (first use in this function)
wings_ogla_drv.c:213: error: expected ';' before 'n'
wings_ogla_drv.c:214: error: 'new_vertices' undeclared (first use in this function)
wings_ogla_drv.c:217: error: 'tess_coords' undeclared (first use in this function)
wings_ogla_drv.c:218: error: 'tess_alloc_vertex' undeclared (first use in this
function)
wings_ogla_drv.c:227: warning: incompatible implicit declaration of built-in
function 'memcpy'
wings_ogla_drv.c:227: error: 'n' undeclared (first use in this function)
wings_ogla_drv.c:230: error: 'tess' undeclared (first use in this function)
make[3]: *** [../../plugins/accel/wings_ogla_drv.so] Error 1

Comment 4 Gérard Milmeister 2006-04-26 14:00:52 EDT
Buildrequires for libGL-devel and libGLU-devel added:
http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/wings-0.98.32b-4.fc5.src.rpm
Comment 5 Jason Tibbitts 2006-04-26 20:08:03 EDT
This one builds fine; thanks.

Issues:
rpmlint doesn't like the fact that you didn't include a changelog entry.

I cannot fetch Source1; it looks like they've moved the file to sourceforge.  I
can get it from http://dl.sourceforge.net/wings/wings3d_manual1.6.1.pdf which
I'll take to be the upstream.

Most of the final size of the package is the manual, which I think qualifies as
"large" and so should be split into a -docs package.  Since it's not built from
the main tarball, you could even build it from a separate srpm if you wanted.

I don't know if you missed this comment earlier of if you decided against it,
but it might be worth it to note that this package includes the POV exporter
plugin since it's not part of the upstream source.

There are tiny README files stuck in with the compiled code.  They're kind of
pointless; /usr/lib64/wings/plugins/autouv/README says "This directory contains
Auto-UV."  I guess they don't hurt anything but I'm not sure there's much point
in packaging them.  They certainly don't make sense as %doc.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
O license field matches the actual license.  (The license is the same as
erlang-esdl's, which is open source but doesn't strictly correspond to any
particular license tag.)
* license is open source-compatible and is included in the package.
O source files match upstream (once I fix Source1):
   11a55f0eb81261a84a29d05dd4afa999  wings-0.98.32b.tar.bz2
   11a55f0eb81261a84a29d05dd4afa999  wings-0.98.32b.tar.bz2-srpm
   c01d19b4be79b647b8605dd32753da3a  wings3d_manual1.6.1.pdf
   c01d19b4be79b647b8605dd32753da3a  wings3d_manual1.6.1.pdf-srpm
   791ec96aefb43ca63800324a115e99c6  wingspov-0.98.28_v1.tgz
   791ec96aefb43ca63800324a115e99c6  wingspov-0.98.28_v1.tgz-srpm
* BuildRequires are proper.
* package builds in mock (development, i386 and x86_64).
X rpmlint complains about the changelog entry
* final provides and requires are sane.
* shared libraries are present but not in standard locations so there's no need
to call ldconfig.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
O %check is not present (no test suite upstream)
* code, not content.
X documentation is large; a -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* a GUI app.  desktop file is included, looks OK and is properly installed with
desktop-file-install.
  
Comment 6 Gérard Milmeister 2006-04-27 14:31:06 EDT
http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/wings-0.98.32b-5.fc5.src.rpm

I changed the documentation and summary a little and split off the -docs package.
The README files are also removed and the SOURCE tags updated.
Comment 7 Jason Tibbitts 2006-04-28 01:46:56 EDT
Everything looks good.

APPROVED
Comment 8 Gérard Milmeister 2006-04-29 03:26:44 EDT
Builds fine on FC-4, FC-5 and FC-6.
Thanks for the review.
Comment 9 Peter Lemenkov 2013-10-23 14:04:40 EDT
Package Change Request
======================
Package Name: wings
InitialCC: erlang-sig
Comment 10 Jon Ciesla 2013-10-23 14:16:05 EDT
Done.

Note You need to log in before you can comment on or make changes to this bug.